(no commit message)
[wiki.git] / doc / LennyBugsAll
index c41ff48aeb268df4a3b461064427d8b05b219ba0..6eeb16e683f42d8df195ab33724252cc050218a2 100644 (file)
@@ -11,10 +11,6 @@ Please sort into useful/not useful, add notes, etc.
 
 Try these!
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374644 374644] in [http://packages.debian.org/lenny/xine-ui xine-ui]
-"xine-ui: ctrl/shift key press emulation implementation broken"
-[[BR]](Note: have patch but it's broken.  Test?  Find a fix?)
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=426465 426465]
 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
 "/init exports MODPROBE_OPTIONS=-qb"
@@ -34,6 +30,11 @@ in [http://packages.debian.org/lenny/dk-filter dk-filter]
 in [http://packages.debian.org/lenny/splashy splashy]
 "splashy: Splashy fails to install due to missing default theme"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506748 506748]
+in [http://packages.debian.org/lenny/rtorrent rtorrent]
+"crash rtorrent by scgi-interface (function: 'fi.get_filename_last')"
+[[BR]]This is fixed in experimental, but in a newer, less-stable version; Someone might be able to backport the fix.
+
 These ones are only about 2 weeks old:
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507071 507071]
@@ -122,10 +123,6 @@ in [http://packages.debian.org/lenny/quagga quagga]
 in [http://packages.debian.org/lenny/installation-reports installation-reports]
 "grub-installer fails on a FSC Primergy RX300 with a level 5 RAID"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
-in [http://packages.debian.org/lenny/mdadm mdadm]
-"mdadm segfault on --assemble --force with raid10"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500460 500460]
 in [http://packages.debian.org/lenny/oss-compat oss-compat]
 "oss-compat: modules are not loaded"
@@ -166,10 +163,6 @@ in [http://packages.debian.org/lenny/nvidia-glx nvidia-glx]
 in [http://packages.debian.org/lenny/nvidia-glx-legacy-96xx-dev nvidia-glx-legacy-96xx-dev]
 "nvidia-glx-legacy-96xx-dev: /usr/lib/libGL.so symlink broken"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
-in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
-"gnu-fdisk: wipes out MBR when used on GPT partitions"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504918 504918]
 in [http://packages.debian.org/lenny/network-manager network-manager]
 "Updating to lenny failed when NetworkManager got updated"
@@ -178,10 +171,6 @@ in [http://packages.debian.org/lenny/network-manager network-manager]
 in [http://packages.debian.org/lenny/snmpd snmpd]
 "/etc/init.d/snmpd start reports error if already running"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506748 506748]
-in [http://packages.debian.org/lenny/rtorrent rtorrent]
-"crash rtorrent by scgi-interface (function: 'fi.get_filename_last')"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506853 506853]
 in [http://packages.debian.org/lenny/libgnutls26 libgnutls26]
 "libgnutls26: 2.4.2-3 breaks OpenLDAP access"
@@ -190,10 +179,6 @@ in [http://packages.debian.org/lenny/libgnutls26 libgnutls26]
 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
 "initiatorname.iscsi should maybe not be in /etc"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
-in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
-"initramfs-tools: Wrong check for udevadm in functions"
-
 = Unclassified Security =
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505563 505563]
@@ -356,9 +341,14 @@ in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
 in [http://packages.debian.org/lenny/linux-2.6 linux-2.6]
 "ppp: USB Modem removal after PPP exits kills keyboard"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508635 508635]
+in [http://packages.debian.org/lenny/libexif-gtk-dev libexif-gtk-dev]
+"libexif-gtk-dev: References no longer existing libXcursor.la"
+
 = Mostly solved? =
 
-These look like good progress is being made and they'll get fixed soon.
+These look like good progress is being made and they'll get fixed
+soon. Do we need a DD to do an NMU on any of these?
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507316 507316]
 in [http://packages.debian.org/lenny/smarty smarty]
@@ -381,6 +371,21 @@ in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
 in [http://packages.debian.org/lenny/libjs-jquery libjs-jquery]
 "libjs-jquery: Should compile jquery.min.js and jquery.pack.js from jquery.js"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
+in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
+"initramfs-tools: Wrong check for udevadm in functions"
+[[BR]](No maintainer activity since it was reported 2 weeks ago; One-line patch attached.)
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
+in [http://packages.debian.org/lenny/mdadm mdadm]
+"mdadm segfault on --assemble --force with raid10"
+[[BR]]Seems to be fixed and uploaded, but got reopened for some reason?
+
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374644 374644] in [http://packages.debian.org/lenny/xine-ui xine-ui]
+"xine-ui: ctrl/shift key press emulation implementation broken"
+[[BR]](Note: There's a patch that may be good enough -- blocking on some guy responding)
+
 = Not much of use one can do =
 
 (this one looks like it'll be removed from Lenny or have amd64 disabled)
@@ -415,6 +420,10 @@ For this one, the actual flameware is off the bug report log.
 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
 "longstanding DFSG violations in linux-2.6 package"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
+in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
+"gnu-fdisk: wipes out MBR when used on GPT partitions"
+
 = Would have been fun =
 
 Entertaining to read but sadly already fixed.
@@ -504,10 +513,6 @@ in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
 "RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504373 504373]
-in [http://packages.debian.org/lenny/libtemplate-perl libtemplate-perl]
-"libtemplate-perl: Upgrade from etch breaks code using DBI plugins"
-
 This one is fixed in experimental:
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503907 503907]